#ifndef _SOUND_H
#define _SOUND_H

#include <string>
#include "fmod.hpp"

class SoundSystem
{
public:
static const int SPECTRUMSIZE = 512;
float spectrum[SPECTRUMSIZE];



SoundSystem()
{
	channel = 0;
	system = 0;
	sound = 0;
	init();
}

void init();
void load( std::string fn );
void play();
bool update();

private:
FMOD::System     *system;
FMOD::Sound      *sound;
FMOD::Channel    *channel;
FMOD_RESULT result;

};

#endif
